View Issue Details

IDProjectCategoryView StatusLast Update
0001958SOGoWeb Calendarpublic2012-10-20 16:53
ReporterJerome G Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.16 
Target Version2.0.2Fixed in Version2.0.2 
Summary0001958: Can't add external calendar with url including parameters
Description
  • On Sogo 1.3.16 (stable) :

we can't add an external calendar on ours users account with an url of this type : https://www.mysite.com/generate_ics.php?myparameter=something

"generate_ics.php" is a script which create dynamically an ICS file...

Sogo remove : "?myparameter=something", so the user has a calendar with the url https://www.mysite.com/generate_ics.php.... so we can't generate a good ics.

We can't change the code of the other application which generate ics

  • On Sogo 2.0.00 (version of 4 march 2012), the problem doesn't appear

Is it possible that Sogo1.3 and Sogo 2 have the same behavior and keep the URL parameters ?

TagsNo tags attached.

Relationships

has duplicate 0002023 closedlcharland Can not subscribe external calendars with GET parameters (questionmarks) 

Activities

Jerome G

Jerome G

2012-08-29 09:28

reporter   ~0004404

I've tested with the version 2.0.0.20120829-1 on Debian Squeeze, the parameters are erased.

So now I've got the same behaviour between Sogo 1.3.16 and Sogo 2.0.0.0.

But I'd always like to add an external calendar with parameters

wsourdeau

wsourdeau

2012-10-20 16:53

viewer   ~0004681

Fixed in https://github.com/inverse-inc/sogo/commit/b3d2f7170888d566869ad2ff321740c0a0b30cde

Issue History

Date Modified Username Field Change
2012-08-27 06:10 Jerome G New Issue
2012-08-29 09:28 Jerome G Note Added: 0004404
2012-10-13 09:34 wsourdeau Status new => assigned
2012-10-13 09:34 wsourdeau Assigned To => lcharland
2012-10-13 09:34 wsourdeau Target Version => 2.0.2
2012-10-13 09:34 wsourdeau Relationship added has duplicate 0002023
2012-10-20 15:51 wsourdeau Assigned To lcharland => wsourdeau
2012-10-20 16:53 wsourdeau Note Added: 0004681
2012-10-20 16:53 wsourdeau Status assigned => resolved
2012-10-20 16:53 wsourdeau Fixed in Version => 2.0.2
2012-10-20 16:53 wsourdeau Resolution open => fixed